Name:		diffpdf
Version:	2.1.3
Release:	%mkrel 1
Summary:	Compare two PDF files
Summary(de):	Zwei PDF-Dateien vergleichen
Group:		Office
License:	GPLv2+
URL:		http://www.qtrac.eu/diffpdf.html
Source0:	http://www.qtrac.eu/%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++ 
BuildRequires:	%{_lib}poppler-qt4-devel 
BuildRequires:	%{_lib}qt4-devel
BuildRequires:	%{_lib}poppler-cpp-devel

%description
DiffPDF can compare two PDF files. It offers two comparison
modes: Text and Appearance.

By default the comparison is of the text on each pair of pages, but
comparing the appearance of pages is also supported (for example,
if a diagram is changed or if a paragraph is reformatted). It is also
possible to compare particular pages or page ranges. For example,
if there are two versions of a PDF file, one with pages 1-12 and the
other with pages 1-13 because of an extra page having been added
as page 4, they can be compared by specifying two page ranges,
1-12 for the first and 1-3, 5-13 for the second. This will make DiffPDF
compare pages in the pairs (1, 1), (2, 2), (3, 3), (4, 5), (5, 6), and so on,
to (12, 13). Version 1.5.0 added the ability to save a PDF file that shows
the pages that differ with their differences highlighted.

%description -l de
DiffPDF kann zwei PDF-Dateien vergleichen. Es bietet zwei Vergleichsmodi: Text und
Aussehen.

%prep
%setup -q

%build
lrelease diffpdf.pro
%qmake_qt4
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 diffpdf $RPM_BUILD_ROOT%{_bindir}

for f in 32 16; do
   mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/"$f"x$f/apps
   convert images/icon.png -size "$f"x$f diffpdf-$f.png
   install -p diffpdf-$f.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/"$f"x$f/apps/diffpdf.png
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 images/icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/diffpdf.png

desktop-file-install --vendor="" \
  --remove-category="Utility" \
  --remove-category="TextTools" \
  --add-category="X-MandrivaLinux-Office-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %SOURCE1

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc gpl-2.0.txt README
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/??x??/apps/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/diffpdf.png

%changelog
* Thu Oct 08 2014 bb <bb> 2.1.3-1pclos2014
- update

* Wed Jun 13 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.1.1-1pclos2012
- 2.1.1
- added german summary and description
- added german comment in desktop file
- added lrelease diffpdf.pro
- changed qmake to %qmake_qt4

